package com.ebts.common.exception;

/**
 * @Author 18209
 * @Date 2021/6/7 23:32
 * @Email clay@hchyun.com
 * @Version 1.0
 */
public class EbtsException extends RuntimeException {

    private String msg;

    private RuntimeException exception;

    public EbtsException(String opError, RuntimeException e) {
        this.msg = opError;
        this.exception = e;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getMessage() {
        return exception.getMessage();
    }
}
